﻿-- Name		     : AucSum
-- Version	   : v1.0
-- Create Date : 16-12-2016

AucSum_UpdateInterval = 0.1

function AucSum_OnEvent(self, elapsed)

  if IsResting() then 

    self.TimeSinceLastUpdate = self.TimeSinceLastUpdate + elapsed; 	

    if (self.TimeSinceLastUpdate > AucSum_UpdateInterval) then

          if AuctionFrame ~= nil then
              if AuctionFrame:IsVisible() == true then 
        		    if AuctionsScrollFrame:IsVisible() == true then 
              		local total = 0;
              		local i = 1;
              		local batch,count = GetNumAuctionItems("owner");

              		for var = 0, count, 1 do 
              			 local name, texture, count, quality, canUse, level, levelColHeader, minBid, minIncrement,
                		 		 buyoutPrice, bidAmount, highBidder, highBidderFullName, owner, ownerFullName,
                				 saleStatus, itemId, hasAllInfo = GetAuctionItemInfo("owner", var);
                	   local gold = buyoutPrice / 100
              		   total = total + gold;
              		end

                  local copper = total %  100;
        	        local silver = ( total / 100 ) % 100;
                	local gold = (total / 100);
                  			
                  AuctionsSearchCountText:SetText(count .. " Auctions, Total worth:\n" .. comma_value(math.floor(gold, 2)) .. " Gold, " .. math.floor(silver,2) .. " Silver and " .. math.floor(copper, 2) .. " Copper" );
        		    end
        	    end
          end
        
            self.TimeSinceLastUpdate = 0;
    end
  end
end

function comma_value(amount)
  local formatted = amount
  while true do  
    formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1,%2')
    if (k==0) then
      break
    end
  end
  return formatted
end

function AucSum_OnLoad()
	AucSumFrame:Hide();
	AucSumFrame:RegisterAllEvents();
end